package com.fs.watch.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fs.watch.domain.WatchDeviceAccount;
import com.fs.watch.mapper.WatchDeviceAccountMapper;
import com.fs.watch.service.WatchDeviceAccountService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 设备(睡眠,房颤查询账户记录)Service业务层处理
 *
 * @author fs
 * @date 2025-05-09
 */
@Service
public class WatchDeviceAccountServiceImpl extends ServiceImpl<WatchDeviceAccountMapper, WatchDeviceAccount> implements WatchDeviceAccountService {

    /**
     * 查询设备(睡眠,房颤查询账户记录)
     *
     * @param id 设备(睡眠,房颤查询账户记录)主键
     * @return 设备(睡眠,房颤查询账户记录)
     */
    @Override
    public WatchDeviceAccount selectWatchDeviceAccountById(Long id)
    {
        return baseMapper.selectWatchDeviceAccountById(id);
    }

    /**
     * 查询设备(睡眠,房颤查询账户记录)列表
     *
     * @param watchDeviceAccount 设备(睡眠,房颤查询账户记录)
     * @return 设备(睡眠,房颤查询账户记录)
     */
    @Override
    public List<WatchDeviceAccount> selectWatchDeviceAccountList(WatchDeviceAccount watchDeviceAccount)
    {
        return baseMapper.selectWatchDeviceAccountList(watchDeviceAccount);
    }

    /**
     * 新增设备(睡眠,房颤查询账户记录)
     *
     * @param watchDeviceAccount 设备(睡眠,房颤查询账户记录)
     * @return 结果
     */
    @Override
    public int insertWatchDeviceAccount(WatchDeviceAccount watchDeviceAccount)
    {
        return baseMapper.insertWatchDeviceAccount(watchDeviceAccount);
    }

    /**
     * 修改设备(睡眠,房颤查询账户记录)
     *
     * @param watchDeviceAccount 设备(睡眠,房颤查询账户记录)
     * @return 结果
     */
    @Override
    public int updateWatchDeviceAccount(WatchDeviceAccount watchDeviceAccount)
    {
        return baseMapper.updateWatchDeviceAccount(watchDeviceAccount);
    }

    /**
     * 批量删除设备(睡眠,房颤查询账户记录)
     *
     * @param ids 需要删除的设备(睡眠,房颤查询账户记录)主键
     * @return 结果
     */
    @Override
    public int deleteWatchDeviceAccountByIds(Long[] ids)
    {
        return baseMapper.deleteWatchDeviceAccountByIds(ids);
    }

    /**
     * 删除设备(睡眠,房颤查询账户记录)信息
     *
     * @param id 设备(睡眠,房颤查询账户记录)主键
     * @return 结果
     */
    @Override
    public int deleteWatchDeviceAccountById(Long id)
    {
        return baseMapper.deleteWatchDeviceAccountById(id);
    }
}
